> For the complete documentation index, see [llms.txt](https://docs.ionos.com/cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/cloud/observability/monitoring-service/api-how-tos/retrieve-all-monitoring-pipelines.md).

# Retrieve All Monitoring Pipelines

This endpoint enables retrieving all pipelines using pagination and optional filters.

To retrieve all the Monitoring Pipelines, perform a `GET` request.

## Request

The following is a sample request.

```bash
curl --location \
--request GET 'https://monitoring.de-txl.ionos.com/pipelines' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer $TOKEN'
```

{% tabs %}
{% tab title="Query Parameters" %}
Below is the list of optional Query Parameters:

| Query Parameters | Type   | Description                                                                                                                                                                                                                                                          | Example       |
| ---------------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------- |
| `orderBy`        | string | <p>The field to order the results by. If not provided, the results will be ordered by the default field.<br>Default: <code>createdDate</code><br>Enum: <code>createdDate</code>, <code>lastModifiedDate</code>, <code>name</code>, <code>lastModifiedDate</code></p> | `createdDate` |
| {% endtab %}     |        |                                                                                                                                                                                                                                                                      |               |

{% tab title="Request Header Parameters" %}
To make authenticated requests to the API, the following fields are mandatory in the request header:

| Header Parameters | Required | Type   | Description                                                                                                                              |
| ----------------- | -------- | ------ | ---------------------------------------------------------------------------------------------------------------------------------------- |
| `Authorization`   | yes      | string | The Bearer token enables requests to authenticate using a JSON Web Token (JWT). The token can be generated using the Authentication API. |
| {% endtab %}      |          |        |                                                                                                                                          |
| {% endtabs %}     |          |        |                                                                                                                                          |

## Response

The following is a sample response. The values returned by each response differ based on the request.

**200 Successful operation**

```json
{
  "id": "930b1f07-e846-54fa-b447-9b78905ff2ef",
  "type": "collection",
  "href": "/pipelines",
  "items": [
    {
      "id": "f72521ba-1590-5998-bf96-6eb997a5887d",
      "type": "pipeline",
      "href": "/pipelines/f72521ba-1590-5998-bf96-6eb997a5887d",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "status": "AVAILABLE",
        "statusMessage": null,
        "key": "momSrlgAAEmaYEvBsMr^HsYn",
        "grafanaEndpoint": "https://grafana.logging.de-txl.ionos.com",
        "httpEndpoint": "https://f8ss7fgr7s-metrics.jf9ejf8t6hrt.monitoring.de-txl.ionos.com"
      },
      "properties": {
        "name": "Pipeline1"
      }
    }
  ]
}
```

{% hint style="success" %}
**Result:** All existing Monitoring Pipelines and their details are successfully obtained.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ionos.com/cloud/observability/monitoring-service/api-how-tos/retrieve-all-monitoring-pipelines.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
